@echo off
PATH=%~d0%~p0Apps\..\..\bin;%PATH%

if not "%1" == "-kanji" goto error1
if "%3" == "" goto error2

rem 乱数生成
set /a ransu=%RANDOM% %% 1000
echo random number generated.

rem texファイルをpostして出力結果のhtmlを取得.
curl -d count=%ransu% --data-urlencode text@%3 -d proga=platex-utf8 -d progb=dvipdfmx -o output.html http://oku.edu.mie-u.ac.jp/~okumura/texonweb/do.php
curl -d count=%ransu% --data-urlencode text@%3 -d proga=platex-utf8 -d progb=dvipdfmx -o output2.html http://oku.edu.mie-u.ac.jp/~okumura/texonweb/do.php
echo tex data posted.

rem その中のファイルをDL
curl -o %~n3.log http://oku.edu.mie-u.ac.jp/~okumura/texonweb/work/%ransu%.log
curl -o %~n3.dvi http://oku.edu.mie-u.ac.jp/~okumura/texonweb/work/%ransu%.dvi
curl -o %~n3.pdf http://oku.edu.mie-u.ac.jp/~okumura/texonweb/work/%ransu%.pdf

rem サーバで消去を実行
rem curl -d count=%ransu% --data-urlencode text="" -d proga=rm -d progb=dvipdfmx http://oku.edu.mie-u.ac.jp/~okumura/texonweb/do.php
curl -d count=%ransu% --data-urlencode text="" -d proga=rm -d progb=dvipdfmx http://oku.edu.mie-u.ac.jp/~okumura/texonweb/do.php
echo removing temporaly files.

rem 出力結果のhtmlを消す
del output.html
del output2.html
goto end

:error1
echo please specify the kanji code of the file.

:error2
echo please specify a tex file.

:end
